<template>
<ul class="catalog__pagination pagination">
      <li class="pagination__item">
        <a class="pagination__link
                  pagination__link--arrow" aria-label="Предыдущая страница"
                  @click.prevent="paginate(modelValue - 1)"
                  :class="{'pagination__link--disabled': 1 === modelValue}"
                  href="#">
          <svg width="8" height="14" fill="currentColor">
            <use xlink:href="#icon-arrow-left"></use>
          </svg>
        </a>
      </li>
      <li class="pagination__item" v-for="pageNumber in pages" :key="pageNumber">
        <a class="pagination__link"
          :class="{'pagination__link--current': pageNumber === modelValue}"
          href="#"
          @click.prevent="paginate(pageNumber)">
          {{pageNumber}}
        </a>
      </li>
      <li class="pagination__item">
        <a class="pagination__link pagination__link--arrow" href="#"
        aria-label="Следующая страница"
        @click.prevent="paginate(modelValue + 1)"
        :class="{'pagination__link--disabled': pages === modelValue}">
          <svg width="8" height="14" fill="currentColor">
            <use xlink:href="#icon-arrow-right"></use>
          </svg>
        </a>
      </li>
    </ul>
</template>

<script>
export default {
  props: ['modelValue', 'count', 'perPage'],
  emits: ['update:modelValue'],
  computed: {
    pages() {
      return Math.ceil(this.count / this.perPage);
    },
  },
  methods: {
    paginate(page) {
      let currentPage;
      if (page >= this.pages) {
        currentPage = this.pages;
      } else if (page === 0) {
        currentPage = 1;
      } else {
        currentPage = page;
      }
      this.$emit('update:modelValue', currentPage);
    },
  },
};
</script>

<style>

</style>
